---

- name: Remove tmp and obsolete files
  file: path={{ item }} state=absent
  loop:
    - "{{ taiga_root_dir }}/tmp/taiga-back-{{ taiga_archives['back'].version }}.tar.gz"
    - "{{ taiga_root_dir }}/tmp/taiga-back-{{ taiga_archives['back'].version }}"
    - "{{ taiga_root_dir }}/tmp/taiga-front-dist-{{ taiga_archives['front'].version }}.tar.gz"
    - "{{ taiga_root_dir }}/tmp/taiga-front-dist-{{ taiga_archives['front'].version }}"
    - "{{ taiga_root_dir }}/tmp/taiga-events-{{ taiga_archives['events'].version }}.tar.gz"
    - "{{ taiga_root_dir }}/tmp/taiga-events-{{ taiga_archives['events'].version }}"
    - "{{ taiga_root_dir }}/tmp/taiga-protected-{{ taiga_archives['protected'].version }}.tar.gz"
    - "{{ taiga_root_dir }}/tmp/taiga-protected-{{ taiga_archives['protected'].version }}"
  tags: taiga

- name: Remove archive dir
  file: path={{ taiga_root_dir }}/archives/{{ taiga_archive_dir }} state=absent
  when: taiga_archive_dir is defined
  tags: taiga
